#!/bin/sh

# Update System
apt-get update -y
apt-get upgrade -y

# Configure System
apt-get install -y console-data keyboard-configuration manpages-de

# Programs
apt-get install -y firefox firefox-locale-de \
                   thunderbird thunderbird-locale-de \
                   keepassx \
                   filezilla \
                   vlc \ 
                   gparted \
                   wireshark

# Default Shell
apt-get install -y sudo tmux mc tree pv vim

# History Shell
add-apt-repository ppa:ultradvorka/ppa
apt-get update
apt-get install -y hh

# Zsh Shell
apt-get install -y zsh

# Update Shell Configuration
hh --show-configuration >> /root/.bashrc
find /home -name .bashrc | \
while read path
do
    hh --show-configuration >> $path
    wget -O .zshrc http://git.grml.org/f/grml-etc-core/etc/zsh/zshrc
done

# Diagnostics
apt-get install -y htop iotop iftop nmon powertop stress lm-sensors
sensors-detect

# Misc.
apt-get install -y git

# Networking
apt-get install -y nfs-common \
                   cifs-utils \
                   aircrack-ng \
                   openvpn \
                   openssh-server

# OpenJDK
apt-get install -y openjdk-7-jdk openjdk-7-source openjdk-7-demo openjdk-7-doc openjdk-7-jre-headless openjdk-7-jre-lib
apt-get install -y openjdk-6-jdk openjdk-6-source openjdk-6-demo openjdk-6-doc openjdk-6-jre-headless openjdk-6-jre-lib

# Oracle Java
add-apt-repository ppa:webupd8team/java
apt-get update
apt-get install -y oracle-java7-installer \
                   oracle-java8-installer

# Java Plugin
update-alternatives --config mozilla-javaplugin.so

# IDE 
apt-get install -y eclipse 
